CRM Companies
Get crmcompanies
GET
/
crm
/
companies
cURL
curl --request GET \
--url https://api.example.com/crm/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/crm/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/crm/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"id": "<string>",
"name": "<string>",
"companyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"domain": "<string>",
"industry": "<string>",
"size": "1-10",
"website": "<string>",
"iconUrl": "<string>",
"phoneNumber": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>"
},
"notes": "<string>",
"description": "<string>",
"ownerId": "<string>",
"customFields": {},
"owner": {
"id": "<string>",
"email": "<string>",
"givenName": "<string>",
"familyName": "<string>"
},
"contactsCount": 123,
"dealsCount": 123,
"totalDealsValue": 123,
"totalDealsCurrency": "<string>"
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Query Parameters
Available options:
1-10, 11-50, 51-200, 201-500, 501-1000, 1001+ Available options:
name, createdAt, updatedAt Available options:
ASC, DESC ⌘I
cURL
